Loading...
Searching...
No Matches
Opm::OilVaporizationProperties Class Reference

## Public Types

enum class | OilVaporization { UNDEF = 0 , VAPPARS = 1 , DRDT = 2 , DRSDTCON = 3 }

## Public Member Functions

| OilVaporizationProperties (const size_t numPvtReginIdx)
OilVaporization | getType () const
double | getMaxDRSDT (const size_t pvtRegionIdx) const
double | getMaxDRVDT (const size_t pvtRegionIdx) const
bool | getOption (const size_t pvtRegionIdx) const
bool | drsdtActive (const size_t pvtRegionIdx) const
bool | drvdtActive (const size_t pvtRegionIdx) const
bool | drsdtConvective (const size_t pvtRegionIdx) const
bool | drsdtActive () const
bool | drvdtActive () const
bool | drsdtConvective () const
bool | defined () const
size_t | numPvtRegions () const
double | vap1 () const
double | vap2 () const
double | getPsi (const size_t pvtRegionIdx) const
double | getOmega (const size_t pvtRegionIdx) const
bool | operator== (const OilVaporizationProperties &) const
bool | operator!= (const OilVaporizationProperties &) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static OilVaporizationProperties | serializationTestObject ()
static void | updateDRSDT (Opm::OilVaporizationProperties &ovp, const std::vector< double > &maxDRSDT, const std::vector< std::string > &option)
static void | updateDRSDTCON (Opm::OilVaporizationProperties &ovp, const std::vector< double > &maxDRSDT, const std::vector< std::string > &option, const std::vector< double > &psi, const std::vector< double > &omega)
static void | updateDRVDT (Opm::OilVaporizationProperties &ovp, const std::vector< double > &maxDRVDT)
static void | updateVAPPARS (Opm::OilVaporizationProperties &ovp, double vap1, double vap2)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/OilVaporizationProperties.hpp
- opm/input/eclipse/Schedule/OilVaporizationProperties.cpp